<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 4 solution.</p>
		<button onclick="toAndFro()">Get array  n to and fro movement of a Pendulum</button>
		<p id="demo"></p>

		<script>
			function toAndFro() {
				var array_size;
				var i,j,mid;
				var p,q;
				var output = "";
				var test_case = prompt("Please enter no of test case : ");
				for(j=0;j<test_case;j++) {
					array_size = prompt(`Please enter size of array ${j+1}: `);
					var array = [];
					for(i=0;i<array_size;i++){
						array.push(prompt(`please enter ${i+1} element of ${j+1} array: `));
					}
					var out = [];
					array.sort(function(a, b){return a - b});
					mid = (array_size-1)/2;
					p=1;
					q=1;
					out[mid] = array[0];
					for(p=1;p<=mid;p++){
						out[mid+p] = array[q++];
						out[mid-p] = array[q++];
					}
					if(array_size%2 == 0)
						out[mid+p] = arr[q];
						
					output += `Your to and fro output of ${j+1} array is  : `+out+"<br><br><br>";
				}	
				document.getElementById("demo").innerHTML = output;
			}
		</script>

	</body>
</html>